/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow
 */

import React, { Component } from "react";
import {
  Platform,
  StyleSheet,
  Text,
  View,
  Button,
  ImageBackground,
  Image,
  DeviceEventEmitter
} from "react-native";
import { createStackNavigator, createAppContainer } from "react-navigation";
import MainActivity from "./pages/MainActivity";
import SchoolAge from "./pages/components/SchoolAge";
import MainPage from "./pages/components/MainPage";
const instructions = Platform.select({
  ios: "Press Cmd+R to reload,\n" + "Cmd+D or shake for dev menu",
  android:
    "Double tap R on your keyboard to reload,\n" +
    "Shake or press menu button for dev menu"
});

const RootNavigator = createStackNavigator(
  {
    MainActivity: { screen: MainActivity },
    SchoolAge: { screen: SchoolAge },
    MainPage: { screen: MainPage }
  },
  {
    initialRouteName: "SchoolAge",
    headerMode: "none"
  }
);
const App = createAppContainer(RootNavigator);
export default App;

// type Props = {};
// export default class App extends Component<Props> {
//   render() {
//     return (
//       <View>
//         <ImageBackground
//           source={require("../imgs/splash.jpg")}
//           style={{ flex: 1, width: "100%", height: "100%" }}
//         />
//       </View>
//     );
//   }
// }
