package com.edufound.mobile;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;

import com.edufound.mobile.activity.WebActivity;
import com.facebook.react.ReactActivity;

public class MainActivity extends ReactActivity {

    /**
     * Returns the name of the main component registered from JavaScript.
     * This is used to schedule rendering of the component.
     */
    @Override
    protected String getMainComponentName() {
        return "efunbox_mobile_8";
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        String params = getIntent().getStringExtra("params");
        Log.e("com.edufound.mobile", "跳转参数a：" + params);
        if (!TextUtils.isEmpty(params) && !params.equals("null")) {
            switch (params) {
                case "WebActivity":
                    Intent intent = new Intent(MainActivity.this, WebActivity.class);
                    intent.putExtra("json", "MainActivity---params--json");
                    intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                    startActivity(intent);
                    break;
            }
        }

    }
}
